Subject: Re: Q: ieee80211_txb

From: Zhu Yi <[email-masked]>
Date: Mon, 30 May 2005 10:34:18 +0800

On Sun, 2005-05-29 at 13:47 +0300, Meelis Roos wrote:
> I tried to understand the new 802.11 stack API and met some things I 
> couldn't understand by just looking at the code.
> 
> My main question is currently struct ieee80211_txb. How is it meant to 
> be used? How driver-specific is it - should it fit all drivers or does 
> it assume some specific DMA set-up?

The ieee80211_txb should not be driver specific. ->fragments is struct
sk_buff, indicates the packet skb or the fragmentation skb list for
software based fragmentation. And others members are self explained.
Currently it fits the ipw* drivers (you see a reserved word is used), we
should change it to be more generic and provide enough info for every
wireless driver.

Thanks,
-yi